MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029282Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-10-31 17:282018-06-29 21:19
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029282: Data Exchange - UpdateAssemblies is not working for located root assemblies
DescriptionIf root assembly has its own location, i.e. free shape is an instance for main assembly, UpdateAssemblies method will not work.
Steps To Reproducebugs xde bug29282
Additional information
and documentation updates
box b 1 1 1
box bb 2 1 1
compound b c
ttranslate c 0 1 0
XNewDoc D
XAddShape D c
XSetShape D 0:1:1:3 bb
XUpdateAssemblies D
XGetOneShape result D --> (box 1 1 1) instead of new (box 2 1 1)
Close D
TagsNo tags attached.
Test case numberbugs xde bug29282
Attached Files

- Relationships

-  Notes
(0071878)
git (administrator)
2017-10-31 17:46

Branch CR29282 has been created by ika.

SHA-1: 4d791a3ccb31a32f161534cab5b64f0091d3c7c7


Detailed log of new commits:

Author: ika
Date: Mon Oct 30 18:04:12 2017 +0300

    0029282: Data Exchange - UpdateAssemblies is not worked for located root assemblies
    
    Add check for located root assemblies.
(0071890)
git (administrator)
2017-11-01 11:35

Branch CR29282 has been updated forcibly by ika.

SHA-1: 11c0e2f27ad8739958cdbde3c4efe0ca5a09cb50
(0071898)
git (administrator)
2017-11-01 12:40

Branch CR29282 has been updated forcibly by ika.

SHA-1: f64ad4dcc758659df9df5b855955e044c7bdace2
(0071900)
ika (developer)
2017-11-01 12:47

Dear SSV,

check for located root assemblies was added to method XCAFDoc_ShapeTool::UpdateAssemblies()

could you please review branch CR29282?

testgrid summaries:
Windows
file://///VIRTEX/dn53/tests_results/CR29282-master-ika-OCCT/Windows-64-VC10/summary.html [^]
http://occt-tests/CR29282-master-ika-Products/Windows-64-VC10/summary.html [^]
Debian
file://///VIRTEX/dn53/tests_results/CR29282-master-ika-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR29282-master-ika-Products/Debian70-64/summary.html [^]
(0071909)
ssv (developer)
2017-11-01 13:23

Reviewed. Please, test and integrate.
(0071913)
bugmaster (administrator)
2017-11-01 15:06

Combination -
OCCT branch : CR29282 SHA-1: f64ad4dcc758659df9df5b855955e044c7bdace2
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0072084)
git (administrator)
2017-11-08 18:24

Branch CR29282 has been deleted by kgv.

SHA-1: f64ad4dcc758659df9df5b855955e044c7bdace2

- Related Changesets
occt: master b2e3ec8d
Timestamp: 2017-10-30 15:04:12
Author: ika
Committer: bugmaster
Details ] Diff ]
0029282: Data Exchange - UpdateAssemblies is not working for located root assemblies

Add check for located root assemblies.
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
add - tests/bugs/xde/bug29282 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-31 17:28 ika New Issue
2017-10-31 17:28 ika Assigned To => ika
2017-10-31 17:46 git Note Added: 0071878
2017-10-31 18:29 ika Summary Data Exchange - UpdateAssemblies is not worked for located root assemblies => Data Exchange - UpdateAssemblies is not workштп for located root assemblies
2017-10-31 18:29 ika Summary Data Exchange - UpdateAssemblies is not workштп for located root assemblies => Data Exchange - UpdateAssemblies is not working for located root assemblies
2017-11-01 11:35 git Note Added: 0071890
2017-11-01 12:40 git Note Added: 0071898
2017-11-01 12:47 ika Note Added: 0071900
2017-11-01 12:47 ika Assigned To ika => ssv
2017-11-01 12:47 ika Status new => resolved
2017-11-01 12:47 ika Steps to Reproduce Updated View Revisions
2017-11-01 13:23 ssv Note Added: 0071909
2017-11-01 13:23 ssv Assigned To ssv => bugmaster
2017-11-01 13:23 ssv Status resolved => reviewed
2017-11-01 15:03 bugmaster Test case number => bugs xde bug29282
2017-11-01 15:06 bugmaster Note Added: 0071913
2017-11-01 15:06 bugmaster Status reviewed => tested
2017-11-02 18:34 bugmaster Changeset attached => occt master b2e3ec8d
2017-11-02 18:34 bugmaster Status tested => verified
2017-11-02 18:34 bugmaster Resolution open => fixed
2017-11-08 18:24 git Note Added: 0072084
2018-02-17 23:36 abv Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker